gslmultimin_lib = static_library('gslmultimin',
	[
		'fdfminimizer.c',
		'steepest_descent.c',
		'conjugate_fr.c',
		'conjugate_pr.c',
		'convergence.c',
		'diff.c',
		'vector_bfgs.c',
		'vector_bfgs2.c',
		'fminimizer.c',
		'simplex.c',
		'simplex2.c'
	],
	include_directories : '..'
)
gslmultimin_dep = declare_dependency(link_with : gslmultimin_lib)


gsl_tests += [ [ 'GSL Multidimensional Minimization Test', files(
		'test.c',
		'test_funcs.c',
		'test_funcs.h'
	) ] ]
